ONVIF::Analytics::Types::RuleEngineConfiguration(3)

NAME
ONVIF::Analytics::Types::RuleEngineConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType RuleEngineConfiguration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Rule

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::RuleEngineConfiguration
   Rule =>  { # ONVIF::Analytics::Types::Config
     Parameters =>  { # ONVIF::Analytics::Types::ItemList
       SimpleItem => ,
       ElementItem =>  {
       },
       Extension =>  { # ONVIF::Analytics::Types::ItemListExtension
       },
     },
   },
   Extension =>  { # ONVIF::Analytics::Types::RuleEngineConfigurationExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL